Name:           libx86
Version:        1.1
Release:    1%{?dist}
Summary:        Library for making real-mode x86 calls

License:        MIT
URL:            http://www.codon.org.uk/~mjg59/libx86
Source0:        http://www.codon.org.uk/~mjg59/libx86/downloads/%{name}-%{version}.tar.gz
ExcludeArch:    ppc %{power64} s390 s390x %{sparc} aarch64 armv7hl

Patch0: libx86-add-pkgconfig.patch
Patch1: libx86-mmap-offset.patch
Patch2: libx86-libc-test.patch
Patch3: libx86-fix_processor_flags.patch
Patch4: libx86-ld_flags.patch
Patch5: libx86-1.1-24-fix-invalid-hlt-opcode.patch

BuildRequires:  gcc
BuildRequires: make
%description
A library to provide support for making real-mode x86 calls with an emulated
x86 processor.

%package devel
Summary:        Development tools for programs which will use libx86
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the static library and header file necessary for
development of programs that will use libx86 to make real-mode x86 calls.

%prep
%autosetup


%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="$RPM_LD_FLAGS" make BACKEND=x86emu LIBDIR=%{_libdir} %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir}
rm %{buildroot}/%{_libdir}/*.a


%files
%doc COPYRIGHT
%{_libdir}/lib*.so.*

%files devel
%{_libdir}/lib*.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/x86.pc

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1-1
- initial build
